Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-1999-1588

CVE information

Published

22 years ago

Last Modified

13 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Buffer overflow in nlps_server in Sun Solaris x86 2.4, 2.5, and 2.5.1 allows remote attackers to execute arbitrary code as root via a long string beginning with "NLPS:002:002:" to the listen (aka System V listener) port, TCP port 2766..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:sun:solaris:2.4:*:x86:*:*:*:*:*
  Yes
- -
cpe:2.3:o:sun:solaris:2.5.1:*:x86:*:*:*:*:*
  Yes
- -
cpe:2.3:o:sun:solaris:2.5:*:x86:*:*:*:*:*
  Yes
- -